Class UmlItem

Declaration :

- C++ : class UmlItem : public UmlBaseItem
- Java : abstract class UmlItem extends UmlBaseItem

Directly inherited by : UmlBaseArtifact UmlBaseClassItem UmlBaseClassView UmlBaseComponent UmlBaseComponentView UmlBaseDeployment UmlBaseDeploymentView UmlBaseDiagram UmlBaseNcRelation UmlBaseNode UmlBasePackage UmlBaseRegion UmlBaseState UmlBaseStateAction UmlBaseTransition UmlBaseUseCase UmlBaseUseCaseView UmlPseudoState

This class is a mother class for all the other Uml* classes, this
allows to generalize their management, declare virtual operations etc ...
You can modify it as you want (except the constructor)

Artifact : UmlItem

Operation UmlItem

Declaration :

- C++ : public: UmlItem(void * id, const QCString & n) : UmlBaseItem(id, n)
- Java : public UmlItem(long id, String n)

Operation ~UmlItem

Declaration :

- C++ : public: virtual ~UmlItem()

All public operations : apply , children , childrenVisible , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload